function y = c_shift(x, n)
% >> y = c_shift(x, n). A function which moves the last n components of 
% the vector x into the first n component places and shifts the remaining
% components of x to follow those n components, i.e. this is a circular 
% shift. It can be used to prevent a periodic function, as found in FFT 
% analyses, from being split into the first and last parts of the window 
% in which it is displayed.  Note: x must be a row vector.

len= length(x);
y = [x(len-n+1 : end), x(1:len-n)];
